### Method

# Meta Window is_ancestor_of_transient

#### Declaration [src]

    gboolean
    meta_window_is_ancestor_of_transient (
      MetaWindow* window,
      MetaWindow* transient
    )

#### Description [src]

The function determines whether `window` is an ancestor of `transient`; it does so by traversing the `transient`‘s ancestors until it either locates `window` or reaches an ancestor that is not transient.

#### Parameters

`transient`

  Type: `MetaWindow`

  A `MetaWindow`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if window is an ancestor of transient.